Commit 342d897b authored by Owen W. Taylor's avatar Owen W. Taylor Committed by Tristan Van Berkom

Pass the correct GDK library when working around Debian libtool

We need to link against gdk/libgdk-x11-3.0.la, not
gdk/x11/libgdk-x11.la, which is the convenience library containing
the backend functions.
parent 88c15438
......@@ -924,7 +924,7 @@ Gtk_3_0_gir_CFLAGS = \
-DGTK_TEXT_USE_INTERNAL_UNSUPPORTED_API
Gtk_3_0_gir_LIBS = $(gtktargetlib)
if USE_X11
Gtk_3_0_gir_LIBS += $(top_builddir)/gdk/x11/libgdk-x11.la
Gtk_3_0_gir_LIBS += $(top_builddir)/gdk/libgdk-x11-3.0.la
endif
Gtk_3_0_gir_FILES = $(introspection_files)
INTROSPECTION_GIRS += Gtk-3.0.gir
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment